API ReferenceapilivePOST /v1/sessions/{id}/join

POST /v1/sessions/\{id\}/join

Service: live · operationId: (none)

Join a live session (returns Stream Video token)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "user_id": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "user_id"
  ]
}

Responses

200 Join token issued

{
  "type": "object",
  "properties": {
    "token": {
      "type": "string"
    },
    "call_id": {
      "type": "string"
    }
  },
  "required": [
    "token",
    "call_id"
  ]
}

404 Session not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

412 Session not joinable

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://live.platform.loop.health/v1/sessions/{id}/join \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'